summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author antonioleal <antonioleal@yahoo.com>2014-03-03 08:41:30 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-03-03 09:00:16 +0700
commitebd1ab7c5da1a12e7b0b5a57363dcb20d2d65286 (patch)
treee23fb551505481c173d79829ca95e5adf77c78d0
parent8f62f12822fd0059a35ac8a5767286c01ad1277a (diff)
downloadslackbuilds-ebd1ab7c5da1a12e7b0b5a57363dcb20d2d65286.tar.gz
slackbuilds-ebd1ab7c5da1a12e7b0b5a57363dcb20d2d65286.tar.xz
development/vstudio: Added (DB Management).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/vstudio/README16
-rw-r--r--development/vstudio/doinst.sh13
-rw-r--r--development/vstudio/slack-desc19
-rw-r--r--development/vstudio/vstudio.SlackBuild64
-rw-r--r--development/vstudio/vstudio.info10
5 files changed, 122 insertions, 0 deletions
diff --git a/development/vstudio/README b/development/vstudio/README
new file mode 100644
index 0000000000..61e66c4564
--- /dev/null
+++ b/development/vstudio/README
@@ -0,0 +1,16 @@
+Valentina Studio is the best way to transform your data into meaningful
+information; create, administer, query and explore Valentina DB, MySQL,
+Postgre and SQLite databases for free on 32/64 bit Slackware Linux.
+
+Valentina Studio Key Features
+Powerful, easy to use and free. Create, edit, query, import and administer
+popular databases: Valentina DB, MySQL, Postgre and SQLite with help of
+the following tools:
+
+- Schema Editor
+- Data Editor
+- SQL Editor
+- Server Administrator
+- Utilities to diagnose, compress, clone, defragment, reindex and dump data.
+
+Note: You need to request a free license to use this software
diff --git a/development/vstudio/doinst.sh b/development/vstudio/doinst.sh
new file mode 100644
index 0000000000..78fd60c339
--- /dev/null
+++ b/development/vstudio/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/gnome/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/gnome >/dev/null 2>&1
+ fi
+fi
diff --git a/development/vstudio/slack-desc b/development/vstudio/slack-desc
new file mode 100644
index 0000000000..df6707d459
--- /dev/null
+++ b/development/vstudio/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler----------------------------------------------------|
+vstudio: Valentina Studio (DB Management)
+vstudio:
+vstudio:
+vstudio: Valentina Studio is the best way to transform your data into
+vstudio: meaningful information; create, administer, query and explore
+vstudio: Valentina DB, MySQL, Postgre and SQLite databases for free on
+vstudio: 32/64 bit Windows, Linux and Mac OS X.
+vstudio:
+vstudio:
+vstudio: Homepage: http://www.valentina-db.com
+vstudio:
diff --git a/development/vstudio/vstudio.SlackBuild b/development/vstudio/vstudio.SlackBuild
new file mode 100644
index 0000000000..a9e8a71e2f
--- /dev/null
+++ b/development/vstudio/vstudio.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for vstudio
+
+# Copyright 2014 Antonio Leal, Lisbon, Portugal
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=vstudio
+VERSION=${VERSION:-5.5.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ; AUX=${AUX:-vstudio_5_lin} ;;
+ x86_64) ARCH=x86_64 ; AUX=${AUX:-vstudio_x64_5_lin} ;;
+ *) echo "Package for $(uname -m) architecture is not available." ; exit 1 ;;
+ esac
+fi
+
+set -e
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/$AUX.deb data.tar.bz2 | bunzip2 -d | tar xv
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Make sure top-level perms are correct:
+chmod 0755 .
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/vstudio/vstudio.info b/development/vstudio/vstudio.info
new file mode 100644
index 0000000000..79e440a20d
--- /dev/null
+++ b/development/vstudio/vstudio.info
@@ -0,0 +1,10 @@
+PRGNAM="vstudio"
+VERSION="5.5.3"
+HOMEPAGE="http://www.valentina-db.com/"
+DOWNLOAD="http://www.valentina-db.com/download/release/linux_32/vstudio_5_lin.deb"
+MD5SUM="99ae75ad56e2f0eb9e6763ca9c4365d7"
+DOWNLOAD_x86_64="http://www.valentina-db.com/download/release/linux_64/vstudio_x64_5_lin.deb"
+MD5SUM_x86_64="a894d74724eca051ce51cd03d09155d5"
+REQUIRES=""
+MAINTAINER="antonioleal"
+EMAIL="antonioleal@yahoo.com"